Subject: bug#22847: #17062: 24.3 current-fill-column breaks fill-match-adaptive-prefix

From: Glenn Morris <[email-masked]>
Date: Thu, 08 Dec 2016 17:32:38 -0500

So this seems like a mess.

fill-column is documented to be an integer, and that is its custom-type.
Nowhere does it say it can be nil, AFAICS.
Many places in Emacs are not prepared for it (or current-fill-column) to
be nil.

Yet 1e87252 explicitly added a check for a nil fill-column to
current-fill-column. AFAICS, do-auto-fill is the only place in Emacs
that tests for this, and uses it to disable auto-fill.

The only uses I find for "(setq fill-column nil)" are a few people using
it in their .emacs to disable auto-fill (I guess) in some major mode.
The idiomatic way to do this is just to turn off auto-fill in that mode.

TLDR:
Let's remove the test for nil fill-column in current-fill-column.